Bug 249672 - LVM doesn't understand ps3disk device type.
LVM doesn't understand ps3disk device type.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Alasdair Kergon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 07:36 EDT by David Woodhouse
Modified: 2008-06-16 21:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-07-26 07:36:47 EDT
Simple fix is to add this to the device_info[] array in lib/filters/filter.c:
        {"ps3disk", 16},        /* PlayStation 3 internal disk */

Better fix is to get this information from /sys/block/$DEVNAME/range as $DEITY
intended, and hence never have this kind of problem again.

A kernel update coming soon will make the internal disk will appear as
/dev/ps3da instead of as a SCSI disk. We'll need this fix before that kernel
will boot the default install (not that LVM makes sense on PS3 where the disks
can't be expanded, but that's unfortunately what the installer does).
Comment 1 Milan Broz 2007-08-01 06:00:56 EDT
Fix included in lvm2-2.02.27-2.fc8 to target F8test1 in rawhide,
in F7 will be updated soon (in next planned rebase/update of lvm2).
Comment 2 Jonas Maebe 2007-12-13 07:46:47 EST
Are there any estimations for when this next rebase/update of lvm2 in F7 will happen?
Comment 3 Bug Zapper 2008-05-14 09:40:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:58:14 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.